module.exports = function clearRequire(mod,resolve) {
	
	var modr = (resolve==undefined)?require.resolve(mod):mod;
	var cache = require.cache[modr];

	// Recursivelly unload children too
	var cc = [...cache.children];
	cc.forEach((c) => {
		clearRequire(c.id,false);
	});


	var ci;
	if((ci = cache.parent.children.indexOf(cache)) != -1) {
		cache.parent.children.splice(ci,1);
	}
	delete require.cache[modr];
}


