var path = require('path');
var fs = require('fs');


module.exports = function readPackageJson(inpath) {
	var pathParts = path.resolve(inpath).split(path.sep);

	while(pathParts.length > 0) {
		var fullPath = path.join("/", path.join.apply(path,pathParts),"/package.json"); 
		if(fs.existsSync(fullPath)) {
			return JSON.parse(fs.readFileSync(fullPath));
		}
		pathParts.pop();
	}
	return null;
	
}

